Skip to main content
PATCH
/
report_schedules
/
{schedule_id}
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
  -X PATCH \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "cron": "0 9 * * 1-5"
  }'
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "example@methodfi.com"
  ],
  "cron": "0 9 * * 1-5",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}
Updates the cron expression of an existing Report Schedule. The next run is re-queued for the next scheduled date based on the new cadence.

Path Parameters

Body

Returns

Returns the updated Report Schedule object.
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
  -X PATCH \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "cron": "0 9 * * 1-5"
  }'
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "example@methodfi.com"
  ],
  "cron": "0 9 * * 1-5",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}